## floatbg 1.0

=== Makefile ===

floatbg: floatbg.o
	cc -O -o floatbg floatbg.o -lX11 -lm

floatbg.o: floatbg.c
	cc -O -c floatbg.c

clean:
	rm -f floatbg floatbg.o floatbg.shar core a.out

shar:
	shar -h floatbg.shar README Makefile Imakefile floatbg.c floatbg.man

=== debian/changelog ===
floatbg (1.0-29) unstable; urgency=medium

  * Maintain in Salvage team
    Closes: #1117178
  * Reflect the fact that there is no Homepage by pointint at packages.d.o
  * Make sure code builds with gcc-15
    Closes: #1096642
  * Remove temporary debhelper files from source
  * Depends: ${misc:Depends}
  * Short dh
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Hardening
  * Lintian-overrides for menu file
  * Permit failure of blhc on Salsa CI

 -- Andreas Tille <tille@debian.org>  Sat, 25 Oct 2025 18:57:24 +0200

floatbg (1.0-28.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fix-build-with-gcc-14.patch: Fix FTBFS with GCC 14.
    (Closes: #1074960)

 -- Marcos Talau <talau@debian.org>  Tue, 27 Aug 2024 17:01:10 -0300

floatbg (1.0-28.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1043156)

 -- Bastian Germann <bage@debian.org>  Sun, 07 Apr 2024 17:27:43 +0000

floatbg (1.0-28.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999330).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 19:42:42 -0300

floatbg (1.0-28) unstable; urgency=low

  * hacked in support for running under Xfce 4.6 or later (-xfce flag)

 -- Dave Holland <dave@debian.org>  Wed, 17 Mar 2010 10:56:48 +0000

floatbg (1.0-27) unstable; urgency=low

  * hacked in basic support for running under Gnome (-gnome flag)
  * added Build-Depends: xutils-dev (closes: 485201)
  * Build-Depends change: x-dev -> x11proto-core-dev (closes: 515361)
  * debian/compat = 7 and associated changes (closes: 451122)

 -- Dave Holland <dave@debian.org>  Wed, 25 Feb 2009 12:57:49 +0000

floatbg (1.0-26) unstable; urgency=low

  * added libxext-dev to Build-Depends (closes: 450597)

 -- Dave Holland <dave@biff.org.uk>  Tue, 13 Nov 2007 12:13:46 +0000

floatbg (1.0-25) unstable; urgency=low

  * installed binary is no longer stripped (closes: 436841)
  * updated standards-version

 -- Dave Holland <dave@debian.org>  Thu,  9 Aug 2007 09:32:07 +0100

floatbg (1.0-24) unstable; urgency=low

  * fixed manpage typos (thanks, J S Bygott) (closes: #358585)
  * updated standards-version

 -- Dave Holland <dave@debian.org>  Wed, 26 Jul 2006 16:41:40 +0100

floatbg (1.0-23) unstable; urgency=low

  * update xlibs-dev build dependency (thanks, John Wright)
    (closes: #346396)

 -- Dave Holland <dave@debian.org>  Tue, 10 Jan 2006 11:56:30 +0000

floatbg (1.0-22) unstable; urgency=low

  * now depends on psmisc for use of "killall" (closes: #344701)

 -- Dave Holland <dave@debian.org>  Fri,  6 Jan 2006 13:11:54 +0000

floatbg (1.0-21) unstable; urgency=low

  * new maintainer (closes: #196153)
  * only one floatbg will run per X server (closes: #17341)

 -- Dave Holland <dave@debian.org>  Wed,  9 Feb 2005 15:49:39 +0000

floatbg (1.0-20) unstable; urgency=low

  * QA Group upload orphaning this package
  * Incorporates previous NMU (closes: #170157)
  * debian/menu: quote the unquoted
  * debian/control: make debhelper build dependency versioned

 -- Andrew Pollock <apollock@debian.org>  Wed,  5 Jan 2005 19:17:01 +1100

floatbg (1.0-19.1) unstable; urgency=low

  * NMU
  * Update Build-Depends.  Closes: #170157.

 -- Daniel Schepler <schepler@debian.org>  Sat, 15 Mar 2003 01:29:35 -0800

floatbg (1.0-19) unstable; urgency=low

  * dh_installman is now used instead of install for man pages.
  * clean rule no longer removes Makefile, since upstream (mistakenly)
    shipped it.
  * Standards-Version updated to 3.5.2.0 in control.
    -- Britton Leo Kerin <bkerin@debian.org>  Tue,  3 Apr 2001 16:12:21 -0800

  * rules now correctly install things under floatbg, instead of tmp.
  * Various dh_ calls which did nothing for this package removed from
    rules.
  * Obsolete dh_suidregister removed from rules.
  * dh_installman floatbg.man now used in place of dh_installmanpages
    in rules.
    -- Britton Leo Kerin <bkerin@debian.org>  Tue,  3 Apr 2001 14:32:21 -0800

  * file menu renamed to floatbg.menu.
  * DH_COMPAT=3 sets debhelper compatibility version in rules.

 -- Britton Leo Kerin <bkerin@debian.org>  Mon,  2 Apr 2001 19:41:00 -0800

floatbg (1.0-18) unstable; urgency=low

  * floatbg.c: remove incomplete atof prototype (provided by stdlib.h)

 -- Britton Leo Kerin <bkerin@debian.org>  Mon, 27 Nov 2000 18:15:18 -0900

floatbg (1.0-17) unstable; urgency=low

  * debian/rules (clean): added check to verify that makefile exists
    before cleaning and before removing makefile itself

 -- Britton Leo Kerin <bkerin@debian.org>  Fri,  8 Sep 2000 10:16:36 -0800

floatbg (1.0-16) unstable; urgency=low

  * compilation is now warning free

  * floatbg.c (SetColor): remove ignored field width fields from format
    string to sprintf, eliminating compiler warning

  * changed comparison argument for return value of XAllocColorCells from
    NULL to 0 to agree with XAllocColorCells signature

  * floatbg.c: added #include <stdlib.h> and #include <time.h> for srandom,
    removed incomplete prototypes for functions random and time

  * added non-implicit return types and arguments for fctns lacking them

  * new debian maintainer

 -- Britton Leo Kerin <bkerin@debian.org>  Thu, 31 Aug 2000 15:16:25 -0800

floatbg (1.0-15) unstable; urgency=low

  * Build-deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 00:59:43 -0800

floatbg (1.0-14) unstable; urgency=low

  * Merged in the rest of Risto S Varanka's patches.

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Oct 1999 16:25:52 -0700

floatbg (1.0-13) unstable; urgency=low

  * FHS
  * Applied a patch from Risto Varanka <rvaranka@cc.helsinki.fi>, which
    adds a -time option to floatbg, which sets the cycle time.
  * Documented -time.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 1999 20:22:42 -0700


=== debian/control ===
Source: floatbg
Standards-Version: 4.7.2
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Dave Holland <dave@debian.org>,
 Andreas Tille <tille@debian.org>,
Section: x11
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 x11proto-core-dev,
 xutils-dev,
 libxext-dev,
Vcs-Browser: https://salsa.debian.org/salvage-team/floatbg
Vcs-Git: https://salsa.debian.org/salvage-team/floatbg.git
Homepage: https://packages.debian.org/floatbg

Package: floatbg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 psmisc,
Description: slowly modify the color of the X root window
 Subtly changes the color of the root window over time, so slowly
 that it won't be noticed. This is a good alternative to placing a
 picture in the root window.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	cp -a Makefile Makefile~
	xmkmf -a
	dh_auto_build
	mv Makefile~ Makefile

override_dh_auto_clean:
	[ -f Makefile ] || xmkmf -a
	[ ! -f Makefile ] || $(MAKE) clean
# Note that we don't delete Makefile itself here as you would expect.
# This is because upstream shipped with Makefile, so we leave the one
# we generate.  Of course, it almost certainly won't be the same as
# the one upstream shipped...  Stupidity propagation I guess.
	if [ -f Makefile~ ] ; then mv Makefile~ Makefile ; fi
